#include	<kmainwindow.h>
#include	<kmenubar.h>
#include	<ktoolbar.h>
#include	<qstring.h>
#include	<qlayout.h>
#include	<qmultilineedit.h>
#include	<qvbox.h>

class		CxWndMesg : public KMainWindow  {

	Q_OBJECT

public:


			CxWndMesg(const QString&, const QString&, const QString&, const QString&, bool);

			// Other ways of calling this function...
			inline CxWndMesg(const QString& to, const QString& subj, const QString& room) {
				CxWndMesg(to, subj, room, QString::null, false);
			};
			inline CxWndMesg(const QString& to, const QString& room = QString("Mail")) {
				CxWndMesg(to, QString::null, room, QString::null, false);
			};
			inline CxWndMesg(const QString& room = QString("Mail")) {
				CxWndMesg(QString::null, QString::null, room, QString::null, false);
			}

public slots:
	void		setRcptAddr(const QString&);

private slots:
	void		onSend();
	void		slotChanged();
	void		slotClose();
	void		slotUpdateCaption(const QString &);
	void		processTbEvent(int);
	void		closeEvent(QCloseEvent *);
	void		openAddresser();

private:
	KLineEdit	*lRcpt,
			*lCc,
			*lSubj;
	QMultiLineEdit	*txtBody;
	KMenuBar	*menu;
	KStatusBar	*status;
	QVBox		*page;

	QPopupMenu	*file,
			*go,
			*compose,
			*help;

	int		i_am_a_composer,
			ive_been_changed;
};
