/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: cxcallbacks.o
 ** Date: 2000-03-08
 ** Last Revision: 2001-03-08
 ** Description: Citadel Session Layer callbacks.  (ASYN-mode only)
 ** CVS: $Id: cxcallbacks.cpp,v 1.1 2001/03/14 04:51:37 brian Exp $
 **/
#include	<iostream.h>
#include	<CxClient.h>
#include	"cxdaemon.h"
#include	"cxdaemontray.h"

/**
 ** recvExpMesg(): Execute this when an express message has been
 ** received.
 **/
void    	recvExpMesg(const char *user, const char *msg) {
 
        cerr << "recvExpMesg(): Received." << endl;
        cerr << "user: " << user << endl;
        cerr << "msg: " << msg << endl;
//      wndMain->openChatWindow(QString(user));
}

/**
 ** CxRegisterCallbacks(): Register all desired Callbacks with
 ** the CxClient backend library.
 **/
void		CxRegisterCallbacks() {

        CxMiExpHook(recvExpMesg);
}
