#ifndef		__WNDPREFS_H__
#define		__WNDPREFS_H__
#include	<kdialogbase.h>
#include	<kconfig.h>
#include	<qcombobox.h>
#include	<qlineedit.h>

/****************************************
 ** class CxWndPrefs: Preferences dialog.
 **/
class 		CxWndPrefs
		:public KDialogBase {
Q_OBJECT

public:
		CxWndPrefs(QWidget *parent = NULL, const char *name = 0L);

private slots:
	void		loadSettings();
	void		saveSettings();
	void		saveAndExit();

protected:
	void		createTabIdentity( QWidget* );

private:
	KConfig		*mpConfig;

	QComboBox	*t_Host;
	QLineEdit	*t_Username,
			*t_Password,
			*t_fullName;
};

#endif
