/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objfolderview.h
 ** Date: 2001-02-15
 ** Last Revision: 2001-02-15
 ** Description: Interface for folder view.
 ** CVS: $Id: objfolderview.h,v 1.2 2001/02/22 23:06:56 brian Exp $
 **/
#ifndef		__OBJFOLDERVIEW_H__
#define		__OBJFOLDERVIEW_H__
#include	<qwidget.h>
#include	<klistview.h>
#include	<qsplitter.h>
#include	<CxClient.h>
#include	"objmesgpane.h"

class		CxObjFolderView: public QSplitter {
Q_OBJECT

public:
			CxObjFolderView(QWidget *);

signals:
	void		clicked(QListViewItem *);

public slots:
	void		refresh();
	void		slotLoadMessage(const QString &, const QString &);
	void		clear();
	void		slotTogglePane();

private slots:
	void		slotSelected(QListViewItem *);
	void		slotOpenMesg(QListViewItem *);

private:
	CXLIST		_MesgIndex, _MesgInfo, _Unread;
	QString		currentRoom;
	KListView	*myList;
	CxObjMesgPane	*myMesgPane;
};

#endif
